- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# ld.c File Reference

`#include <ubixos/types.h>`
`#include <ubixos/ld.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/elf.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <vfs/vfs.h>`
`#include <vmm/vmm.h>`
`#include <string.h>`
`#include <assert.h>`

Include dependency graph for ld.c:

Go to the source code of this file.

## Functions
uInt32 | ldEnable ()

## Function Documentation

uInt32 ldEnable | ( |  | ) |

Definition at line 42 of file ld.c.

References _current, assert, elfHeader::eEntry, ELF32_R_SYM, ELF32_R_TYPE, elfGetRelType(), elfHeader::ePhnum, elfHeader::ePhoff, elfHeader::eShnum, elfHeader::eShoff, elfHeader::eShstrndx, fclose(), fopen(), fread(), fseek(), taskStruct::id, K_PANIC, kfree(), kmalloc(), kprintf(), LD_START, memset(), PAGE_DEFAULT, elfProgramHeader::phMemsz, elfProgramHeader::phVaddr, PT_DYNAMIC, PT_GNU_STACK, PT_LOAD, PT_PAX_FLAGS, R_386_32, R_386_PC32, R_386_RELATIVE, elfSectionHeader::shSize, strcmp(), vmm_remapPage(), vmmFindFreePage(), and x1000.

Referenced by sysExec().

Here is the call graph for this function: